## suckless-tools 44

=== Makefile ===
# dmenu - dynamic menu
# See LICENSE file for copyright and license details.

include config.mk

SRC = drw.c dmenu.c stest.c util.c
OBJ = ${SRC:.c=.o}

all: options dmenu stest

options:
	@echo dmenu build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

config.h:
	@echo creating $@ from config.def.h
	@cp config.def.h $@

${OBJ}: arg.h config.h config.mk drw.h

dmenu: dmenu.o drw.o util.o
	@echo CC -o $@
	@${CC} -o $@ dmenu.o drw.o util.o ${LDFLAGS}

stest: stest.o
	@echo CC -o $@
	@${CC} -o $@ stest.o ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f dmenu stest ${OBJ} dmenu-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p dmenu-${VERSION}
	@cp LICENSE Makefile README arg.h config.def.h config.mk dmenu.1 \
		drw.h util.h dmenu_path dmenu_run stest.1 ${SRC} \
		dmenu-${VERSION}
	@tar -cf dmenu-${VERSION}.tar dmenu-${VERSION}
	@gzip dmenu-${VERSION}.tar
	@rm -rf dmenu-${VERSION}

install: all
	@echo installing executables to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f dmenu dmenu_path dmenu_run stest ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu_path
	@chmod 755 ${DESTDIR}${PREFIX}/bin/dmenu_run
	@chmod 755 ${DESTDIR}${PREFIX}/bin/stest
	@echo installing manual pages to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" < dmenu.1 > ${DESTDIR}${MANPREFIX}/man1/dmenu.1
	@sed "s/VERSION/${VERSION}/g" < stest.1 > ${DESTDIR}${MANPREFIX}/man1/stest.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/dmenu.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/stest.1

uninstall:
	@echo removing executables from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu
	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu_path
	@rm -f ${DESTDIR}${PREFIX}/bin/dmenu_run
	@rm -f ${DESTDIR}${PREFIX}/bin/stest
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/dmenu.1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/stest.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
suckless-tools (44-1) unstable; urgency=low

  * New upstream release
    - Update dmenu to version 4.8
  * Bump debhelper compat level to 11
  * Modify d/control and d/copyright to use HTTPS
  * Update Vcs-* to point to salsa.debian.org
  * Update d/copyright file (bump Copyright years)
  * Remove obsolete get-orig-source rules target
  * Bump Standards-Version to 4.1.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 01 Jun 2018 13:16:24 +0300

=== debian/control ===
Source: suckless-tools
Section: x11
Priority: optional
Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
Build-Depends:
 debhelper (>= 11),
 libx11-dev,
 libxinerama-dev,
 dpkg-dev (>= 1.17),
 libxss-dev,
 libxft-dev,
 pkg-config,
 libpam0g-dev,
 libxrandr-dev,
 libfreetype6-dev
Standards-Version: 4.1.4
Homepage: https://www.suckless.org
Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
Vcs-Browser: https://salsa.debian.org/debian/suckless-tools

Package: suckless-tools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin
Suggests: dwm, stterm, surf
Provides: dmenu, lsw, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
Description: simple commands for minimalistic window managers
 This package provides simple commands designed to be used with a minimalistic
 window manager like dwm but they can be useful in scripts regardless of the
 window manager used.
 .
  * dmenu: Dynamic menu is a generic menu for X.
  * lsw: Lists the titles of all running X windows to stdout, similar to ls(1).
  * slock: Simple X display locker that locks the X session.
  * sprop: Sets or gets X window properties.
  * sselp: Simple X selection printer that prints the X selection to stdout.
  * ssid: Simple setsid replacement.
  * swarp: Simple X warping tool to warp the mouse pointer to a given position.
  * tabbed: Simple generic tabbed fronted to xembed aware applications.
  * wmname: Prints/sets the window manager name property of the root
    window similar to how hostname(1) behaves.
  * xssstate: Retrieves the state of X screensaver.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Exit immediately if any untested command fails
SHELL := sh -e

# Path of 'debian' directory
DEB_DIR := $(abspath $(dir $(MAKEFILE_LIST)))

# Provide the correct pkg-config for cross-building
include /usr/share/dpkg/architecture.mk
export PKG_CONFIG := $(DEB_HOST_GNU_TYPE)-pkg-config

# Enable all hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The upstream Makefiles are written in a way that suppresses the recipe
# echoing. This means that tools like 'blhc' cannot inspect the build logs.
# Instead of maintaining a patch that will remove the preceding '@' symbol
# from all recipes, we pass the '--trace' flag to make, which prints the
# entire recipe to be executed, even for recipes that are normally silent
MAKEFLAGS += --trace

D := $(DEB_DIR)/suckless-tools
TOOLS := $(filter-out debian, $(wildcard *))


%:
	dh $@

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	for TOOL in $(TOOLS); do \
		dh_auto_clean --sourcedirectory=$${TOOL}; \
	done

.PHONY: override_dh_auto_build
override_dh_auto_build:
	for TOOL in $(TOOLS); do \
		dh_auto_build --sourcedirectory=$${TOOL}; \
	done

.PHONY: override_dh_auto_install
override_dh_auto_install:
	for TOOL in $(TOOLS); do \
		dh_auto_install --sourcedirectory=$${TOOL} -- PREFIX=/usr; \
	done

.PHONY: override_dh_installdocs
override_dh_installdocs:
	dh_installdocs
	for TOOL in $(TOOLS); do \
		cp $${TOOL}/README $(D)/usr/share/doc/suckless-tools/README.$${TOOL}; \
	done

=== debian/watch ===
version=4

# Download dmenu
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
oversionmangle=s/.*/44/,\
component=dmenu \
https://dl.suckless.org/tools/ \
dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
4.8

# Download lsw
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=lsw \
https://dl.suckless.org/tools/ \
lsw@ANY_VERSION@@ARCHIVE_EXT@ \
0.3

# Download slock
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=slock \
https://dl.suckless.org/tools/ \
slock@ANY_VERSION@@ARCHIVE_EXT@ \
1.4

# Download sprop
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=sprop \
https://dl.suckless.org/tools/ \
sprop@ANY_VERSION@@ARCHIVE_EXT@ \
0.1

# Download sselp
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=sselp \
https://dl.suckless.org/tools/ \
sselp@ANY_VERSION@@ARCHIVE_EXT@ \
0.2

# Download ssid
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=ssid \
https://dl.suckless.org/tools/ \
ssid@ANY_VERSION@@ARCHIVE_EXT@ \
0.1

# Download swarp
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=swarp \
https://dl.suckless.org/tools/ \
swarp@ANY_VERSION@@ARCHIVE_EXT@ \
0.1

# Download tabbed
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=tabbed \
https://dl.suckless.org/tools/ \
tabbed@ANY_VERSION@@ARCHIVE_EXT@ \
0.6

# Download wmname
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=wmname \
https://dl.suckless.org/tools/ \
wmname@ANY_VERSION@@ARCHIVE_EXT@ \
0.1

# Download xssstate
opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
component=xssstate \
https://dl.suckless.org/tools/ \
xssstate@ANY_VERSION@@ARCHIVE_EXT@ \
1.1

## suckless-tools 45

=== debian/changelog ===
suckless-tools (45-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Ilias Tsitsimpis ]
  * New upstream release
    - Update dmenu to version 4.9
  * Update patches to apply cleanly on new upstream
  * Set Rules-Requires-Root to no
  * Update d/copyright file (bump Copyright years)
  * Bump debhelper compat level to 12
  * Use the debhelper-compat build-dependency and remove d/compat
  * Bump Standards-Version to 4.5.0
  * Remove libcap2-bin dependency on non-linux.
    Thanks to Nicolas Schier for the patch (Closes: 922606)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 02 Mar 2020 19:42:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: x11
 Priority: optional
 Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
+Rules-Requires-Root: no
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libx11-dev,
  libxinerama-dev,
  dpkg-dev (>= 1.17),
@@ -12,15 +13,18 @@
  pkg-config,
  libpam0g-dev,
  libxrandr-dev,
- libfreetype6-dev
-Standards-Version: 4.1.4
+ libfreetype6-dev,
+Standards-Version: 4.5.0
 Homepage: https://www.suckless.org
 Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/suckless-tools
 
 Package: suckless-tools
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libcap2-bin
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ libcap2-bin [linux-any],
 Suggests: dwm, stterm, surf
 Provides: dmenu, lsw, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
 Description: simple commands for minimalistic window managers

=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/44/,\
+oversionmangle=s/.*/45/,\
 component=dmenu \
 https://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-4.8
+4.9
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\

## suckless-tools 46

=== Makefile ===
# slock - simple screen locker
# See LICENSE file for copyright and license details.

include config.mk

SRC = slock.c ${COMPATSRC}
OBJ = ${SRC:.c=.o}

all: options slock

options:
	@echo slock build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk arg.h util.h

config.h:
	@echo creating $@ from config.def.h
	@cp config.def.h $@

slock: ${OBJ}
	@echo CC -o $@
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f slock ${OBJ} slock-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p slock-${VERSION}
	@cp -R LICENSE Makefile README slock.1 config.mk \
		${SRC} explicit_bzero.c config.def.h arg.h util.h slock-${VERSION}
	@tar -cf slock-${VERSION}.tar slock-${VERSION}
	@gzip slock-${VERSION}.tar
	@rm -rf slock-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f slock ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/slock
	@chmod u+s ${DESTDIR}${PREFIX}/bin/slock
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" <slock.1 >${DESTDIR}${MANPREFIX}/man1/slock.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/slock.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/slock
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/slock.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
suckless-tools (46-1) unstable; urgency=medium

  * New upstream release
    - Update dmenu to version 5.0 (Closes: 975553)
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.1
  * Update d/copyright file (bump Copyright years)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 28 Nov 2020 17:14:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libx11-dev,
  libxinerama-dev,
  dpkg-dev (>= 1.17),
@@ -14,7 +14,7 @@
  libpam0g-dev,
  libxrandr-dev,
  libfreetype6-dev,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.suckless.org
 Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/suckless-tools

=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/45/,\
+oversionmangle=s/.*/46/,\
 component=dmenu \
 https://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-4.9
+5.0
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\

## suckless-tools 47

=== Makefile ===
# tabbed - tabbing interface
# See LICENSE file for copyright and license details.

include config.mk

SRC = tabbed.c xembed.c
OBJ = ${SRC:.c=.o}
BIN = ${OBJ:.o=}

all: options ${BIN}

options:
	@echo tabbed build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk

config.h:
	@echo creating $@ from config.def.h
	@cp config.def.h $@

.o:
	@echo CC -o $@
	@${CC} -o $@ $< ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f ${BIN} ${OBJ} tabbed-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p tabbed-${VERSION}
	@cp -R LICENSE Makefile README config.def.h config.mk \
		tabbed.1 arg.h ${SRC} tabbed-${VERSION}
	@tar -cf tabbed-${VERSION}.tar tabbed-${VERSION}
	@gzip tabbed-${VERSION}.tar
	@rm -rf tabbed-${VERSION}

install: all
	@echo installing executable files to ${DESTDIR}${PREFIX}/bin
	@mkdir -p "${DESTDIR}${PREFIX}/bin"
	@cp -f ${BIN} "${DESTDIR}${PREFIX}/bin"
	@chmod 755 "${DESTDIR}${PREFIX}/bin/tabbed"
	@echo installing manual pages to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p "${DESTDIR}${MANPREFIX}/man1"
	@sed "s/VERSION/${VERSION}/g" < tabbed.1 > "${DESTDIR}${MANPREFIX}/man1/tabbed.1"
	@chmod 644 "${DESTDIR}${MANPREFIX}/man1/tabbed.1"
	@sed "s/VERSION/${VERSION}/g" < xembed.1 > "${DESTDIR}${MANPREFIX}/man1/xembed.1"
	@chmod 644 "${DESTDIR}${MANPREFIX}/man1/xembed.1"

uninstall:
	@echo removing executable files from ${DESTDIR}${PREFIX}/bin
	@rm -f "${DESTDIR}${PREFIX}/bin/tabbed"
	@rm -f "${DESTDIR}${PREFIX}/bin/xembed"
	@echo removing manual pages from ${DESTDIR}${MANPREFIX}/man1
	@rm -f "${DESTDIR}${MANPREFIX}/man1/tabbed.1"
	@rm -f "${DESTDIR}${MANPREFIX}/man1/xembed.1"

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
suckless-tools (47-1) unstable; urgency=medium

  [ Aymeric Agon-Rambosson ]
  * New upstream release
    - Update dmenu to version 5.2
    - Update slock to version 1.5
    - Update tabbed to version 0.7
  * Update d/copyright file (bump Copyright years)
  * Refresh patches:
    - Removed patches 7, 8 and 9, part of the release

  [ Ilias Tsitsimpis ]
  * Do not install the xembed executable
  * Bump Standards-Version to 4.6.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 02 Jan 2023 12:30:10 +0200

suckless-tools (46-2) unstable; urgency=medium

  * Drop "provides: swarp" (Closes: 1006840)
  * Update d/copyright file (bump Copyright years)
  * Bump Standards-Version to 4.6.0

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 14 Mar 2022 20:26:16 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libpam0g-dev,
  libxrandr-dev,
  libfreetype6-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://www.suckless.org
 Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/suckless-tools
@@ -26,7 +26,7 @@
  ${shlibs:Depends},
  libcap2-bin [linux-any],
 Suggests: dwm, stterm, surf
-Provides: dmenu, lsw, slock, sprop, sselp, ssid, swarp, tabbed, wmname, xssstate
+Provides: dmenu, lsw, slock, sprop, sselp, ssid, tabbed, wmname, xssstate
 Description: simple commands for minimalistic window managers
  This package provides simple commands designed to be used with a minimalistic
  window manager like dwm but they can be useful in scripts regardless of the

=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/46/,\
+oversionmangle=s/.*/47/,\
 component=dmenu \
 https://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-5.0
+5.2
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -23,7 +23,7 @@
 component=slock \
 https://dl.suckless.org/tools/ \
 slock@ANY_VERSION@@ARCHIVE_EXT@ \
-1.4
+1.5
 
 # Download sprop
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -63,7 +63,7 @@
 component=tabbed \
 https://dl.suckless.org/tools/ \
 tabbed@ANY_VERSION@@ARCHIVE_EXT@ \
-0.6
+0.7
 
 # Download wmname
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\

## suckless-tools 48

=== Makefile ===
.POSIX:

NAME = tabbed
VERSION = 0.8

# paths
PREFIX = /usr/local
MANPREFIX = ${PREFIX}/share/man
DOCPREFIX = ${PREFIX}/share/doc/${NAME}

# use system flags.
TABBED_CFLAGS = -I/usr/X11R6/include -I/usr/include/freetype2 ${CFLAGS}
TABBED_LDFLAGS = -L/usr/X11R6/lib -lX11 -lfontconfig -lXft ${LDFLAGS}
TABBED_CPPFLAGS = -DVERSION=\"${VERSION}\" -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700L

# OpenBSD (uncomment)
#TABBED_CFLAGS = -I/usr/X11R6/include -I/usr/X11R6/include/freetype2 ${CFLAGS}

SRC = tabbed.c xembed.c
OBJ = ${SRC:.c=.o}
BIN = ${OBJ:.o=}
MAN1 = ${BIN:=.1}
HDR = arg.h config.def.h
DOC = LICENSE README

all: ${BIN}

.c.o:
	${CC} -o $@ -c $< ${TABBED_CFLAGS} ${TABBED_CPPFLAGS}

${OBJ}: config.h

config.h:
	cp config.def.h $@

.o:
	${CC} -o $@ $< ${TABBED_LDFLAGS}

clean:
	rm -f ${BIN} ${OBJ} "${NAME}-${VERSION}.tar.gz"

dist: clean
	mkdir -p "${NAME}-${VERSION}"
	cp -fR Makefile ${MAN1} ${DOC} ${HDR} ${SRC} "${NAME}-${VERSION}"
	tar -cf - "${NAME}-${VERSION}" | gzip -c > "${NAME}-${VERSION}.tar.gz"
	rm -rf ${NAME}-${VERSION}

install: all
	# installing executable files.
	mkdir -p "${DESTDIR}${PREFIX}/bin"
	cp -f ${BIN} "${DESTDIR}${PREFIX}/bin"
	for f in ${BIN}; do chmod 755 "${DESTDIR}${PREFIX}/bin/$$f"; done
	# installing doc files.
	mkdir -p "${DESTDIR}${DOCPREFIX}"
	cp -f README "${DESTDIR}${DOCPREFIX}"
	# installing manual pages for general commands: section 1.
	mkdir -p "${DESTDIR}${MANPREFIX}/man1"
	for m in ${MAN1}; do sed "s/VERSION/${VERSION}/g" < $$m > "${DESTDIR}${MANPREFIX}/man1/$$m"; done

uninstall:
	# removing executable files.
	for f in ${BIN}; do rm -f "${DESTDIR}${PREFIX}/bin/$$f"; done
	# removing doc files.
	rm -f "${DESTDIR}${DOCPREFIX}/README"
	# removing manual pages.
	for m in ${MAN1}; do rm -f "${DESTDIR}${MANPREFIX}/man1/$$m"; done
	-rmdir "${DESTDIR}${DOCPREFIX}"

.PHONY: all clean dist install uninstall

=== debian/changelog ===
suckless-tools (48-1) unstable; urgency=medium

  * New upstream release
    - Update dmenu to version 5.3
    - Update tabbed to version 0.8
    - Add slstatus, version 1.0
  * Adopt package from Ilias Tsitsimpis (Closes: #1085292).
  * Add Pierre-Elliott Bécue and Michaël Paulon to Uploaders.
  * Refresh patches.
  * Add slstatus information to d/copyright.
  * Update d/watch.
  * d/control :
    - Replace libfreetype6-dev build dependency with libfreetype-dev.
    - Replace pkg-config build dependency with pkgconf.
    - Add information about slstatus.
    - Bump Standards-Version to 4.7.0 (no changes required).
  * Update lintian-overrides.
  * Add patch to avoid installing tabbed/README twice.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Fri, 14 Mar 2025 22:02:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: suckless-tools
 Section: x11
 Priority: optional
-Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
+Maintainer: Aymeric Agon-Rambosson <aymeric.agon@yandex.com>
+Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
+ Michaël Paulon <michael+debian@paulon.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,11 +12,11 @@
  dpkg-dev (>= 1.17),
  libxss-dev,
  libxft-dev,
- pkg-config,
+ pkgconf,
  libpam0g-dev,
  libxrandr-dev,
- libfreetype6-dev,
-Standards-Version: 4.6.2
+ libfreetype-dev,
+Standards-Version: 4.7.0
 Homepage: https://www.suckless.org
 Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/suckless-tools
@@ -26,7 +28,7 @@
  ${shlibs:Depends},
  libcap2-bin [linux-any],
 Suggests: dwm, stterm, surf
-Provides: dmenu, lsw, slock, sprop, sselp, ssid, tabbed, wmname, xssstate
+Provides: dmenu, lsw, slock, slstatus, sprop, sselp, ssid, tabbed, wmname, xssstate
 Description: simple commands for minimalistic window managers
  This package provides simple commands designed to be used with a minimalistic
  window manager like dwm but they can be useful in scripts regardless of the
@@ -35,6 +37,7 @@
   * dmenu: Dynamic menu is a generic menu for X.
   * lsw: Lists the titles of all running X windows to stdout, similar to ls(1).
   * slock: Simple X display locker that locks the X session.
+  * slstatus: Simple status monitor.
   * sprop: Sets or gets X window properties.
   * sselp: Simple X selection printer that prints the X selection to stdout.
   * ssid: Simple setsid replacement.

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 # Provide the correct pkg-config for cross-building
 include /usr/share/dpkg/architecture.mk
-export PKG_CONFIG := $(DEB_HOST_GNU_TYPE)-pkg-config
+export PKG_CONFIG := pkgconf
 
 # Enable all hardening flags
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/47/,\
+oversionmangle=s/.*/48/,\
 component=dmenu \
 https://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-5.2
+5.3
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -24,6 +24,14 @@
 https://dl.suckless.org/tools/ \
 slock@ANY_VERSION@@ARCHIVE_EXT@ \
 1.5
+
+# Download slstatus
+opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
+uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
+component=slstatus \
+https://dl.suckless.org/tools/ \
+slstatus@ANY_VERSION@@ARCHIVE_EXT@ \
+1.0
 
 # Download sprop
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -63,7 +71,7 @@
 component=tabbed \
 https://dl.suckless.org/tools/ \
 tabbed@ANY_VERSION@@ARCHIVE_EXT@ \
-0.7
+0.8
 
 # Download wmname
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\

## suckless-tools 49

=== dmenu/Makefile ===
# dmenu - dynamic menu
# See LICENSE file for copyright and license details.

include config.mk

SRC = drw.c dmenu.c stest.c util.c
OBJ = $(SRC:.c=.o)

all: dmenu stest

.c.o:
	$(CC) -c $(CFLAGS) $<

config.h:
	cp config.def.h $@

$(OBJ): arg.h config.h config.mk drw.h

dmenu: dmenu.o drw.o util.o
	$(CC) -o $@ dmenu.o drw.o util.o $(LDFLAGS)

stest: stest.o
	$(CC) -o $@ stest.o $(LDFLAGS)

clean:
	rm -f dmenu stest $(OBJ) dmenu-$(VERSION).tar.gz

dist: clean
	mkdir -p dmenu-$(VERSION)
	cp LICENSE Makefile README arg.h config.def.h config.mk dmenu.1\
		drw.h util.h dmenu_path dmenu_run stest.1 $(SRC)\
		dmenu-$(VERSION)
	tar -cf dmenu-$(VERSION).tar dmenu-$(VERSION)
	gzip dmenu-$(VERSION).tar
	rm -rf dmenu-$(VERSION)

install: all
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	cp -f dmenu dmenu_path dmenu_run stest $(DESTDIR)$(PREFIX)/bin
	chmod 755 $(DESTDIR)$(PREFIX)/bin/dmenu
	chmod 755 $(DESTDIR)$(PREFIX)/bin/dmenu_path
	chmod 755 $(DESTDIR)$(PREFIX)/bin/dmenu_run
	chmod 755 $(DESTDIR)$(PREFIX)/bin/stest
	mkdir -p $(DESTDIR)$(MANPREFIX)/man1
	sed "s/VERSION/$(VERSION)/g" < dmenu.1 > $(DESTDIR)$(MANPREFIX)/man1/dmenu.1
	sed "s/VERSION/$(VERSION)/g" < stest.1 > $(DESTDIR)$(MANPREFIX)/man1/stest.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/dmenu.1
	chmod 644 $(DESTDIR)$(MANPREFIX)/man1/stest.1

uninstall:
	rm -f $(DESTDIR)$(PREFIX)/bin/dmenu\
		$(DESTDIR)$(PREFIX)/bin/dmenu_path\
		$(DESTDIR)$(PREFIX)/bin/dmenu_run\
		$(DESTDIR)$(PREFIX)/bin/stest\
		$(DESTDIR)$(MANPREFIX)/man1/dmenu.1\
		$(DESTDIR)$(MANPREFIX)/man1/stest.1

.PHONY: all clean dist install uninstall

=== lsw/Makefile ===
# lsw - list window names
# See LICENSE file for copyright and license details.
.POSIX:

include config.mk

SRC = lsw.c
OBJ = ${SRC:.c=.o}

all: lsw

.c.o:
	${CC} -c ${CFLAGS} $<

lsw: ${OBJ}
	${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	rm -f lsw ${OBJ} lsw-${VERSION}.tar.gz

dist: clean
	mkdir -p lsw-${VERSION}
	cp -R LICENSE Makefile README config.mk lsw.1 ${SRC} lsw-${VERSION}
	tar -cf lsw-${VERSION}.tar lsw-${VERSION}
	gzip lsw-${VERSION}.tar
	rm -rf lsw-${VERSION}

install: all
	mkdir -p ${DESTDIR}${PREFIX}/bin
	cp -f lsw ${DESTDIR}${PREFIX}/bin
	chmod 755 ${DESTDIR}${PREFIX}/bin/lsw
	mkdir -p ${DESTDIR}${MANPREFIX}/man1
	sed "s/VERSION/${VERSION}/g" < lsw.1 > ${DESTDIR}${MANPREFIX}/man1/lsw.1
	chmod 644 ${DESTDIR}${MANPREFIX}/man1/lsw.1

uninstall:
	rm -f ${DESTDIR}${PREFIX}/bin/lsw
	rm -f ${DESTDIR}${MANPREFIX}/man1/lsw.1

.PHONY: all options clean dist install uninstall

=== slock/Makefile ===
# slock - simple screen locker
# See LICENSE file for copyright and license details.

include config.mk

SRC = slock.c ${COMPATSRC}
OBJ = ${SRC:.c=.o}

all: slock

.c.o:
	${CC} -c ${CFLAGS} $<

${OBJ}: config.h config.mk arg.h util.h

config.h:
	cp config.def.h $@

slock: ${OBJ}
	${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	rm -f slock ${OBJ} slock-${VERSION}.tar.gz

dist: clean
	mkdir -p slock-${VERSION}
	cp -R LICENSE Makefile README slock.1 config.mk \
		${SRC} config.def.h arg.h util.h slock-${VERSION}
	tar -cf slock-${VERSION}.tar slock-${VERSION}
	gzip slock-${VERSION}.tar
	rm -rf slock-${VERSION}

install: all
	mkdir -p ${DESTDIR}${PREFIX}/bin
	cp -f slock ${DESTDIR}${PREFIX}/bin
	chmod 755 ${DESTDIR}${PREFIX}/bin/slock
	chmod u+s ${DESTDIR}${PREFIX}/bin/slock
	mkdir -p ${DESTDIR}${MANPREFIX}/man1
	sed "s/VERSION/${VERSION}/g" <slock.1 >${DESTDIR}${MANPREFIX}/man1/slock.1
	chmod 644 ${DESTDIR}${MANPREFIX}/man1/slock.1

uninstall:
	rm -f ${DESTDIR}${PREFIX}/bin/slock
	rm -f ${DESTDIR}${MANPREFIX}/man1/slock.1

.PHONY: all clean dist install uninstall

=== swarp/Makefile ===
# swarp - simple pointer warp
#   (C)opyright MMVI Anselm R. Garbe

include config.mk

SRC = swarp.c
OBJ = ${SRC:.c=.o}

all: options swarp

options:
	@echo swarp build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"
	@echo "LD       = ${LD}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.mk

swarp: ${OBJ}
	@echo LD $@
	@${LD} -o $@ ${OBJ} ${LDFLAGS}
	@strip $@

clean:
	@echo cleaning
	@rm -f swarp ${OBJ} swarp-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p swarp-${VERSION}
	@cp -R LICENSE Makefile README config.mk ${SRC} swarp-${VERSION}
	@tar -cf swarp-${VERSION}.tar swarp-${VERSION}
	@gzip swarp-${VERSION}.tar
	@rm -rf swarp-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f swarp ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/swarp

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/swarp

.PHONY: all options clean dist install uninstall

=== tabbed/Makefile ===
.POSIX:

NAME = tabbed
VERSION = 0.9

# paths
PREFIX = /usr/local
MANPREFIX = ${PREFIX}/share/man
DOCPREFIX = ${PREFIX}/share/doc/${NAME}

# use system flags.
TABBED_CFLAGS = -I/usr/X11R6/include -I/usr/include/freetype2 ${CFLAGS}
TABBED_LDFLAGS = -L/usr/X11R6/lib -lX11 -lfontconfig -lXft ${LDFLAGS}
TABBED_CPPFLAGS = -DVERSION=\"${VERSION}\" -D_DEFAULT_SOURCE -D_XOPEN_SOURCE=700L

# OpenBSD (uncomment)
#TABBED_CFLAGS = -I/usr/X11R6/include -I/usr/X11R6/include/freetype2 ${CFLAGS}

SRC = tabbed.c xembed.c
OBJ = ${SRC:.c=.o}
BIN = ${OBJ:.o=}
MAN1 = ${BIN:=.1}
HDR = arg.h config.def.h
DOC = LICENSE README

all: ${BIN}

.c.o:
	${CC} -o $@ -c $< ${TABBED_CFLAGS} ${TABBED_CPPFLAGS}

${OBJ}: config.h

config.h:
	cp config.def.h $@

.o:
	${CC} -o $@ $< ${TABBED_LDFLAGS}

clean:
	rm -f ${BIN} ${OBJ} "${NAME}-${VERSION}.tar.gz"

dist: clean
	mkdir -p "${NAME}-${VERSION}"
	cp -fR Makefile ${MAN1} ${DOC} ${HDR} ${SRC} "${NAME}-${VERSION}"
	tar -cf - "${NAME}-${VERSION}" | gzip -c > "${NAME}-${VERSION}.tar.gz"
	rm -rf ${NAME}-${VERSION}

install: all
	# installing executable files.
	mkdir -p "${DESTDIR}${PREFIX}/bin"
	cp -f ${BIN} "${DESTDIR}${PREFIX}/bin"
	for f in ${BIN}; do chmod 755 "${DESTDIR}${PREFIX}/bin/$$f"; done
	# installing doc files.
	mkdir -p "${DESTDIR}${DOCPREFIX}"
	cp -f README "${DESTDIR}${DOCPREFIX}"
	# installing manual pages for general commands: section 1.
	mkdir -p "${DESTDIR}${MANPREFIX}/man1"
	for m in ${MAN1}; do sed "s/VERSION/${VERSION}/g" < $$m > "${DESTDIR}${MANPREFIX}/man1/$$m"; done

uninstall:
	# removing executable files.
	for f in ${BIN}; do rm -f "${DESTDIR}${PREFIX}/bin/$$f"; done
	# removing doc files.
	rm -f "${DESTDIR}${DOCPREFIX}/README"
	# removing manual pages.
	for m in ${MAN1}; do rm -f "${DESTDIR}${MANPREFIX}/man1/$$m"; done
	-rmdir "${DESTDIR}${DOCPREFIX}"

.PHONY: all clean dist install uninstall

=== xssstate/Makefile ===
# See LICENSE file for copyright and license details.

include config.mk

SRC = xssstate.c
OBJ = ${SRC:.c=.o}

all: options xssstate

options:
	@echo xssstate build options:
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo CC $<
	@${CC} -c ${CFLAGS} $<

${OBJ}: config.mk

xssstate: xssstate.o
	@echo CC -o $@
	@${CC} -o $@ xssstate.o ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f xssstate ${OBJ} xssstate-${VERSION}.tar.gz

dist: clean
	@echo creating dist tarball
	@mkdir -p xssstate-${VERSION}
	@cp -R LICENSE README Makefile config.mk xsidle.sh \
		xssstate.1 arg.h ${SRC} xssstate-${VERSION}
	@tar -cf xssstate-${VERSION}.tar xssstate-${VERSION}
	@gzip xssstate-${VERSION}.tar
	@rm -rf xssstate-${VERSION}

install: all
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f xssstate ${DESTDIR}${PREFIX}/bin
	@chmod 755 ${DESTDIR}${PREFIX}/bin/xssstate
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@mkdir -p ${DESTDIR}${MANPREFIX}/man1
	@sed "s/VERSION/${VERSION}/g" < xssstate.1 > ${DESTDIR}${MANPREFIX}/man1/xssstate.1
	@chmod 644 ${DESTDIR}${MANPREFIX}/man1/xssstate.1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm -f ${DESTDIR}${PREFIX}/bin/xssstate
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm -f ${DESTDIR}${MANPREFIX}/man1/xssstate.1

.PHONY: all options clean dist install uninstall

=== debian/changelog ===
suckless-tools (49-1) unstable; urgency=medium

  * New upstream release
    - Update dmenu to version 5.4
    - Update lsw to snapshot version 0.3+10096682a89 (Closes: #1014099)
    - Update slock to version 1.6
    - Update slstatus to version 1.1
    - Update tabbed to version 0.9
  * Drop patch segfault-avoidance.patch (applied upstream).
  * Refresh other patches.
  * Bump Standards-Version to 4.7.2 (no changes required).
  * Update d/watch.

 -- Aymeric Agon-Rambosson <aymeric.agon@yandex.com>  Mon, 18 Aug 2025 16:16:16 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libpam0g-dev,
  libxrandr-dev,
  libfreetype-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.suckless.org
 Vcs-Git: https://salsa.debian.org/debian/suckless-tools.git
 Vcs-Browser: https://salsa.debian.org/debian/suckless-tools

=== debian/watch ===
--- 
+++ 
@@ -3,11 +3,11 @@
 # Download dmenu
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
-oversionmangle=s/.*/48/,\
+oversionmangle=s/.*/49/,\
 component=dmenu \
 https://dl.suckless.org/tools/ \
 dmenu@ANY_VERSION@@ARCHIVE_EXT@ \
-5.3
+5.4
 
 # Download lsw
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -23,7 +23,7 @@
 component=slock \
 https://dl.suckless.org/tools/ \
 slock@ANY_VERSION@@ARCHIVE_EXT@ \
-1.5
+1.6
 
 # Download slstatus
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -31,7 +31,7 @@
 component=slstatus \
 https://dl.suckless.org/tools/ \
 slstatus@ANY_VERSION@@ARCHIVE_EXT@ \
-1.0
+1.1
 
 # Download sprop
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
@@ -71,7 +71,7 @@
 component=tabbed \
 https://dl.suckless.org/tools/ \
 tabbed@ANY_VERSION@@ARCHIVE_EXT@ \
-0.8
+0.9
 
 # Download wmname
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
